package jp.gihyo.mitoma.android.s0206001;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.CheckBox;
import android.widget.LinearLayout;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.checkbox_test);
         /* 以下はチェックボックスの追加 ********************
        LinearLayout layout=findViewById(R.id.line);
        CheckBox checkBox = new CheckBox(this);
        checkBox.setText("もも");
        int id = View.generateViewId();
        checkBox.setId(id);
        // レイアウトパラメータ生成
        LinearLayout.LayoutParams params = new LinearLayout.LayoutParams(
                LinearLayout.LayoutParams.WRAP_CONTENT,
                LinearLayout.LayoutParams.WRAP_CONTENT);
        // CheckBoxをLinearLayoutに追加
        layout.addView(checkBox, params);
        *************************************************** */
    }
}